IMG_GetAnimationDecoderStatus(3)

NAME
IMG_GetAnimationDecoderStatus - Get the decoder status indicating the current state of the decoder.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

IMG_AnimationDecoderStatus IMG_GetAnimationDecoderStatus(IMG_AnimationDecoder *decoder);

FUNCTION PARAMETERS

decoder
    the decoder to get the status of.

RETURN VALUE
Returns the status of the underlying decoder, or IMG_DECODER_STATUS_INVALID if the given decoder is invalid.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_GetAnimationDecoderFrame(3)